# Uses of Class
org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane

Packages that use AbstractSubHyperplane
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of AbstractSubHyperplane in org.apache.commons.math3.geometry.euclidean.oned

Subclasses of AbstractSubHyperplane in org.apache.commons.math3.geometry.euclidean.oned
Modifier and Type
Class
Description
`class`
`SubOrientedPoint`
This class represents sub-hyperplane for `OrientedPoint`.
Methods in org.apache.commons.math3.geometry.euclidean.oned that return AbstractSubHyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
SubOrientedPoint.`buildNew(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.

## Uses of AbstractSubHyperplane in org.apache.commons.math3.geometry.euclidean.threed

Subclasses of AbstractSubHyperplane in org.apache.commons.math3.geometry.euclidean.threed
Modifier and Type
Class
Description
`class`
`SubPlane`
This class represents a sub-hyperplane for `Plane`.
Methods in org.apache.commons.math3.geometry.euclidean.threed that return AbstractSubHyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean3D,Euclidean2D>`
SubPlane.`buildNew(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.

## Uses of AbstractSubHyperplane in org.apache.commons.math3.geometry.euclidean.twod

Subclasses of AbstractSubHyperplane in org.apache.commons.math3.geometry.euclidean.twod
Modifier and Type
Class
Description
`class`
`SubLine`
This class represents a sub-hyperplane for `Line`.
Methods in org.apache.commons.math3.geometry.euclidean.twod that return AbstractSubHyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean2D,Euclidean1D>`
SubLine.`buildNew(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.

## Uses of AbstractSubHyperplane in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return AbstractSubHyperplane
Modifier and Type
Method
Description
`AbstractSubHyperplane<S,T>`
AbstractSubHyperplane.`applyTransform(Transform<S,T> transform)`
Apply a transform to the instance.
`protected abstract AbstractSubHyperplane<S,T>`
AbstractSubHyperplane.`buildNew(Hyperplane<S> hyper, Region<T> remaining)`
Build a sub-hyperplane from an hyperplane and a region.
`AbstractSubHyperplane<S,T>`
AbstractSubHyperplane.`copySelf()`
Copy the instance.
`AbstractSubHyperplane<S,T>`
AbstractSubHyperplane.`reunite(SubHyperplane<S> other)`
Compute the union of the instance and another sub-hyperplane.

## Uses of AbstractSubHyperplane in org.apache.commons.math3.geometry.spherical.oned

Subclasses of AbstractSubHyperplane in org.apache.commons.math3.geometry.spherical.oned
Modifier and Type
Class
Description
`class`
`SubLimitAngle`
This class represents sub-hyperplane for `LimitAngle`.
Methods in org.apache.commons.math3.geometry.spherical.oned that return AbstractSubHyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere1D,Sphere1D>`
SubLimitAngle.`buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.

## Uses of AbstractSubHyperplane in org.apache.commons.math3.geometry.spherical.twod

Subclasses of AbstractSubHyperplane in org.apache.commons.math3.geometry.spherical.twod
Modifier and Type
Class
Description
`class`
`SubCircle`
This class represents a sub-hyperplane for `Circle`.
Methods in org.apache.commons.math3.geometry.spherical.twod that return AbstractSubHyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere2D,Sphere1D>`
SubCircle.`buildNew(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.